Bug 248078 - math/nfft: Update to 3.5.1
Summary: math/nfft: Update to 3.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://github.com/NFFT/nfft/blob/dev...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-18 20:14 UTC by Marcel Bischoff
Modified: 2020-08-02 18:08 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.19 KB, patch)
2020-07-18 20:14 UTC, Marcel Bischoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-18 20:14:08 UTC
Created attachment 216552 [details]
Patch

Portscout flagged this port and since it has no maintainer, here's an update to the latest version.
Comment 1 Automation User 2020-07-18 20:24:18 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168166309
Comment 2 Fernando Apesteguía freebsd_committer 2020-07-22 05:31:59 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field
Comment 3 Marcel Bischoff 2020-07-30 18:37:11 UTC
From Changelog: https://github.com/NFFT/nfft/blob/develop/ChangeLog

* Fix Build of fastsum failing because fftw_libs are not found
* Update m4 files
* Remove superfluous calls to autoreconf in bootstrap
* Add Julia Interface fastsum
* Even bandwidth in NFCT and NFST
* Compute NFFT_EPSILON at runtime
* In-place fftw for dimension >1 (reduce memory consumption)
* Improve check if tests are executed in Matlab or Octave
* Fix build with Octave 5.1.0 in Windows
* Fix FFTW3 Linking problem while building
* Remove unnecessary dependence on ncurses library
* Add Julia Interface for NFCT, NFST
* FSFT: Spherical Fourier transform with equidistant nodes
* Inverse NFFT via frame approach
* _Complex is not supported by some compilers
* Extend NFFT Matlab interface to d>4
* Faster NFFT in 4D and 5D
* Add support for higher bandwidth in NFSFT and improve parallelization
* fastsum: Skip nearfield (pre-)computations when eps_I is zero
* Add NFSOFT Matlab class
* Add Mex interface for FPT
* OpenMP parallelization of NFSOFT
* Add NFFT Julia interface
* Add Latex for target `dist` in Travis
* Fix `ABS_SRCDIR` might return a wrong path
* Fix infft1d missing in release
* Solve compatibility problem with MATLAB 2018a
* Fix wrong libs flag when compiling for Octave and non-combined fftw3_threads
* Add bash script to build statically linked libs in Windows
* Add Octave tests
* Add NFSFT Matlab class
Comment 4 commit-hook freebsd_committer 2020-08-02 18:08:05 UTC
A commit references this bug:

Author: fernape
Date: Sun Aug  2 18:07:44 UTC 2020
New revision: 543986
URL: https://svnweb.freebsd.org/changeset/ports/543986

Log:
  math/nfft: Update to 3.5.1

  From Changelog: https://github.com/NFFT/nfft/blob/develop/ChangeLog

  * Fix Build of fastsum failing because fftw_libs are not found
  * Update m4 files
  * Remove superfluous calls to autoreconf in bootstrap
  * Add Julia Interface fastsum
  * Even bandwidth in NFCT and NFST
  * Compute NFFT_EPSILON at runtime
  * In-place fftw for dimension >1 (reduce memory consumption)
  * Improve check if tests are executed in Matlab or Octave
  * Fix build with Octave 5.1.0 in Windows
  * Fix FFTW3 Linking problem while building
  * Remove unnecessary dependence on ncurses library
  * Add Julia Interface for NFCT, NFST
  * FSFT: Spherical Fourier transform with equidistant nodes
  * Inverse NFFT via frame approach
  * _Complex is not supported by some compilers
  * Extend NFFT Matlab interface to d>4
  * Faster NFFT in 4D and 5D
  * Add support for higher bandwidth in NFSFT and improve parallelization
  * fastsum: Skip nearfield (pre-)computations when eps_I is zero
  * Add NFSOFT Matlab class
  * Add Mex interface for FPT
  * OpenMP parallelization of NFSOFT
  * Add NFFT Julia interface
  * Add Latex for target `dist` in Travis
  * Fix `ABS_SRCDIR` might return a wrong path
  * Fix infft1d missing in release
  * Solve compatibility problem with MATLAB 2018a
  * Fix wrong libs flag when compiling for Octave and non-combined fftw3_threads
  * Add bash script to build statically linked libs in Windows
  * Add Octave tests
  * Add NFSFT Matlab class

  PR:	248078
  Submitted by:	marcel@herrbischoff.com

Changes:
  head/math/nfft/Makefile
  head/math/nfft/distinfo
  head/math/nfft/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2020-08-02 18:08:27 UTC
Committed,

Thanks!